"use strict";
const common_vendor = require("../../common/vendor.js");
const services_ams = require("../../services/ams.js");
if (!Array) {
  const _easycom_wd_upload2 = common_vendor.resolveComponent("wd-upload");
  _easycom_wd_upload2();
}
const _easycom_wd_upload = () => "../../node-modules/wot-design-uni/components/wd-upload/wd-upload.js";
if (!Math) {
  _easycom_wd_upload();
}
const _sfc_main = /* @__PURE__ */ common_vendor.defineComponent({
  __name: "uploadImage",
  setup(__props) {
    const fileList = common_vendor.ref([]);
    const imgList = common_vendor.ref([]);
    const aData = JSON.parse(common_vendor.index.getStorageSync("activityData"));
    const openid = common_vendor.index.getStorageSync("openid");
    const phone = common_vendor.index.getStorageSync("phone");
    const routerInfo = common_vendor.reactive({ discountId: "", discountLevel: "" });
    const action = "https://test-coupon.qiuyutech.com.cn/stage-api/miniApp/oss/upload/" + aData.brandId;
    const customUpload = (file, formData, options) => {
      common_vendor.index.uploadFile({
        url: action,
        header: options.header,
        name: options.name,
        fileName: options.name,
        fileType: options.fileType,
        formData,
        filePath: file.url,
        success(res) {
          if (res.statusCode === options.statusCode) {
            options.onSuccess(res, file, formData);
            const data = JSON.parse(res.data);
            imgList.value.push(data.url);
          } else {
            options.onError({ ...res, errMsg: res.errMsg || "" }, file, formData);
          }
        },
        fail(err) {
          options.onError(err, file, formData);
        }
      });
    };
    const handleRemove = (file) => {
      const data = JSON.parse(file.file.response);
      imgList.value = imgList.value.filter((item) => item !== data.url);
    };
    const onAdd = () => {
      const location = JSON.parse(common_vendor.index.getStorageSync("location"));
      if (imgList.value.length === 0)
        return common_vendor.index.showToast({ title: "请上传图片", icon: "none" });
      const params = {
        openid,
        mobile: phone,
        latitude: location.latitude || "",
        longitude: location.longitude || "",
        discountId: routerInfo.discountId,
        discountLevel: routerInfo.discountLevel,
        receiptImages: imgList.value.join(","),
        marketingActivityId: aData.id
      };
      services_ams.addCustomer(params).then((res) => {
        if (res.code === 200) {
          common_vendor.wx$1.requestSubscribeMessage({
            tmplIds: ["ZZhiUAFnGXkIIIId6W9mBbf16DGC-OtX1sT_d5TWNUU"],
            success(response) {
              if (response["ZZhiUAFnGXkIIIId6W9mBbf16DGC-OtX1sT_d5TWNUU"] === "accept") {
                services_ams.subscribeToMessage(openid).then((res2) => {
                  if (res2.code === 200) {
                    common_vendor.index.showToast({ title: "订阅成功", icon: "success" });
                    common_vendor.index.navigateBack();
                  } else {
                    common_vendor.index.showToast({ title: "订阅失败", icon: "error" });
                    common_vendor.index.navigateBack();
                  }
                });
              }
            },
            fail(err) {
              common_vendor.index.showToast({ title: "订阅失败", icon: "error" });
              common_vendor.index.navigateBack();
            }
          });
        } else {
          common_vendor.index.showToast({ title: "上传图片失败", icon: "error" });
        }
      });
    };
    common_vendor.onLoad((options) => {
      routerInfo.discountId = options.discountId;
      routerInfo.discountLevel = options.discountLevel;
    });
    return (_ctx, _cache) => {
      return {
        a: common_vendor.o(handleRemove),
        b: common_vendor.p({
          ["file-list"]: fileList.value,
          multiple: true,
          limit: 5,
          ["upload-method"]: customUpload
        }),
        c: common_vendor.o(onAdd)
      };
    };
  }
});
wx.createPage(_sfc_main);
